> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toingg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign from ID

## Overview

This endpoint retrieves the details of a specific campaign in Toingg using its unique ID. It allows users to access comprehensive information about a campaign, which can be useful for identifying and managing campaigns based on their IDs.

#### Example cURL Request

```bash theme={null}
curl -X 'GET' \
  'https://api.toingg.com/api/v3/get_campaign_from_id?campId=yourCampaignId' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer yourBearerToken'
```


## OpenAPI

````yaml GET /get_campaign_from_id
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.toingg.com/api/v3
security: []
paths:
  /get_campaign_from_id:
    get:
      tags:
        - Campaign handling
      summary: Get Campaign From Id
      operationId: get_campaign_from_id_get_campaign_from_id_get
      parameters:
        - name: campId
          in: query
          required: true
          schema:
            type: string
            title: Campid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: login

````